summarylogtreecommitdiffstats
path: root/ipfs-desktop.install
diff options
context:
space:
mode:
Diffstat (limited to 'ipfs-desktop.install')
-rw-r--r--ipfs-desktop.install18
1 files changed, 18 insertions, 0 deletions
diff --git a/ipfs-desktop.install b/ipfs-desktop.install
new file mode 100644
index 000000000000..5e156eb24eac
--- /dev/null
+++ b/ipfs-desktop.install
@@ -0,0 +1,18 @@
+post_install() {
+ :
+#!/bin/bash
+
+# Link to the binary
+ln -sf '/opt/IPFS Desktop/ipfs-desktop' '/usr/bin/ipfs-desktop'
+
+update-mime-database /usr/share/mime || true
+update-desktop-database /usr/share/applications || true
+}
+post_remove() {
+ :
+#!/bin/bash
+
+# Delete the link to the binary
+rm -f '/usr/bin/ipfs-desktop'
+
+}